public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mikle Kolyada" <zlogene@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: mate-extra/caja-dropbox/
Date: Sun, 17 Mar 2019 11:11:44 +0000 (UTC)	[thread overview]
Message-ID: <1552821096.1b0cb94b5cfcecd7c0aa880015e33e368b122ffa.zlogene@gentoo> (raw)

commit:     1b0cb94b5cfcecd7c0aa880015e33e368b122ffa
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 17 10:25:02 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sun Mar 17 11:11:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b0cb94b

mate-extra/caja-dropbox: Version bump (v1.22.0)

Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 mate-extra/caja-dropbox/Manifest                   |  1 +
 mate-extra/caja-dropbox/caja-dropbox-1.22.0.ebuild | 91 ++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/mate-extra/caja-dropbox/Manifest b/mate-extra/caja-dropbox/Manifest
index bc48e95e904..c79bf3c9bb8 100644
--- a/mate-extra/caja-dropbox/Manifest
+++ b/mate-extra/caja-dropbox/Manifest
@@ -1 +1,2 @@
 DIST caja-dropbox-1.18.0.tar.xz 323116 BLAKE2B 1aafb5c15fea5935c7e89964ad4237fc2095a2c81921c14058d3472e4b51a4053327e175b144c17f2bdd0a3c106b32c436593b354db375689259501ec18b679b SHA512 0e240f8f6ef17ad3b6bbe21bede6d911b0ef89d8fd5a9faba6b96bc74f06472dcedf68caa94c6fbfb2c05c10c82e1f025b4022657cacc5b80d55ee41999be560
+DIST caja-dropbox-1.22.0.tar.xz 313492 BLAKE2B ce14fc1f466e8da9e5d13b576602a9815bdf32c88b5e55a03f0fe20d17845030b383151194340d20c658e99dda0eff1b51c633e6adf2a1c60f3fcaa69f9e54d9 SHA512 d21f44c0e0f7f28a963fb8611e6992b3ea58ba2ad5910e440d286ab447f2f91e4776496569eb271ed25cb2628e35d2bd80d12bf832bc76011241f6b09903a8b2

diff --git a/mate-extra/caja-dropbox/caja-dropbox-1.22.0.ebuild b/mate-extra/caja-dropbox/caja-dropbox-1.22.0.ebuild
new file mode 100644
index 00000000000..7538fd886c3
--- /dev/null
+++ b/mate-extra/caja-dropbox/caja-dropbox-1.22.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+MATE_LA_PUNT="yes"
+
+inherit mate python-single-r1 linux-info user
+
+if [[ ${PV} != 9999 ]]; then
+	KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Store, Sync and Share Files Online"
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="debug"
+
+COMMON_DEPEND="
+	dev-libs/atk
+	>=dev-libs/glib-2.50:2
+	dev-python/pygtk:2[${PYTHON_USEDEP}]
+	dev-python/pygobject:2[${PYTHON_USEDEP}]
+	>=mate-base/caja-1.17.1
+	media-libs/fontconfig:1.0
+	media-libs/freetype:2
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/gtk+-3.22:3
+	x11-libs/libXinerama
+	x11-libs/pango"
+
+RDEPEND="${COMMON_DEPEND}
+	net-misc/dropbox"
+
+DEPEND="${COMMON_DEPEND}
+	dev-python/docutils
+	virtual/pkgconfig:*"
+
+CONFIG_CHECK="~INOTIFY_USER"
+
+pkg_setup () {
+	python-single-r1_pkg_setup
+	check_extra_config
+	enewgroup dropbox
+}
+
+MATE_FORCE_AUTORECONF=true
+
+src_prepare() {
+	# Use system dropbox.
+	sed -e "s|~/[.]dropbox-dist|/opt/dropbox|" \
+		-e 's|\(DROPBOXD_PATH = \).*|\1"/opt/dropbox/dropboxd"|' \
+			-i caja-dropbox.in || die
+
+	sed  's|\(rst2man\)|\1.py|' configure.ac || die
+
+	mate_src_prepare
+}
+
+src_configure() {
+	mate_src_configure \
+		--disable-static \
+		$(use_enable debug)
+}
+
+src_install () {
+	python_fix_shebang caja-dropbox.in
+
+	mate_src_install
+
+	local extensiondir="$(pkg-config --variable=extensiondir libcaja-extension)"
+	[ -z ${extensiondir} ] && die "pkg-config unable to get caja extensions dir"
+
+	# Strip $EPREFIX from $extensiondir as fowners/fperms act on $ED not $D.
+	extensiondir="${extensiondir#${EPREFIX}}"
+	use prefix || fowners root:dropbox "${extensiondir}"/libcaja-dropbox.so
+	fperms o-rwx "${extensiondir}"/libcaja-dropbox.so
+}
+
+pkg_postinst () {
+	mate_pkg_postinst
+
+	elog
+	elog "Add any users who wish to have access to the dropbox caja"
+	elog "plugin to the group 'dropbox'. You need to setup a drobox account"
+	elog "before using this plugin. Visit ${HOMEPAGE} for more information."
+	elog
+}


             reply	other threads:[~2019-03-17 11:11 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-03-17 11:11 Mikle Kolyada [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-22  9:38 [gentoo-commits] repo/gentoo:master commit in: mate-extra/caja-dropbox/ Ulrich Müller
2024-10-23 16:25 Ben Kohler
2024-09-17 17:50 Andreas Sturmlechner
2024-08-30  5:57 Joonas Niilola
2024-08-30  5:57 Joonas Niilola
2024-06-16  6:06 Joonas Niilola
2024-01-19 10:53 Sam James
2023-12-21 11:55 Sam James
2022-12-21 12:55 Andreas Sturmlechner
2022-12-16 20:39 Arthur Zamarin
2022-10-24 15:52 Sam James
2022-10-24 13:52 Sam James
2021-08-02  1:40 Adam Feldman
2021-05-31 20:53 Michał Górny
2021-04-13  0:26 Sam James
2020-12-03 17:37 Thomas Deutschmann
2020-12-03  8:49 Sam James
2020-09-25 20:32 Adam Feldman
2020-09-02  6:02 Adam Feldman
2020-08-07  3:18 Adam Feldman
2020-02-09 16:29 Michał Górny
2019-08-12 19:58 Michał Górny
2019-07-07 18:48 Göktürk Yüksek
2019-05-12 21:04 Göktürk Yüksek
2019-04-14 16:24 Mikle Kolyada
2019-04-14 15:27 Mikle Kolyada
2019-04-07 11:24 Andreas Sturmlechner
2019-04-07 11:24 Andreas Sturmlechner
2018-10-06 20:24 Mart Raudsepp
2018-09-10 16:19 Mikle Kolyada
2018-09-09 23:53 Thomas Deutschmann
2017-06-04 15:18 Ettore Di Giacinto
2016-12-08 15:31 Ettore Di Giacinto
2016-11-24 22:22 Ettore Di Giacinto
2016-08-12  5:13 NP Hardass
2016-08-06  2:12 NP Hardass
2016-07-25 18:36 NP Hardass
2016-05-07  2:44 NP Hardass
2015-11-23  2:43 NP Hardass

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1552821096.1b0cb94b5cfcecd7c0aa880015e33e368b122ffa.zlogene@gentoo \
    --to=zlogene@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox